Subject: Re: linux-next: manual merge of the nolibc tree with the vfs-brauner tree

From: Willy Tarreau <[email-masked]>
Date: Thu, 24 Aug 2023 08:40:34 +0200

On Thu, Aug 24, 2023 at 08:27:21AM +0200, Thomas Weißschuh wrote:
> Hi everybody,
> 
> On 2023-08-24 14:10:08+1000, Stephen Rothwell wrote:
> > Today's linux-next merge of the nolibc tree got a conflict in:
> > 
> >   tools/testing/selftests/nolibc/nolibc-test.c
> > 
> > between commit:
> > 
> >   49319832de90 ("selftests/nolibc: drop test chmod_net")
> > 
> > from the vfs-brauner tree and commit:
> > 
> >   148e9718e2a2 ("selftests/nolibc: add chmod_argv0 test")
> > 
> > from the nolibc tree.
> > 
> > I fixed it up (see below) and can carry the fix as necessary. This
> > is now fixed as far as linux-next is concerned, but any non trivial
> > conflicts should be mentioned to your upstream maintainer when your tree
> > is submitted for merging.  You may also want to consider cooperating
> > with the maintainer of the conflicting tree to minimise any particularly
> > complex conflicts.
> 
> This is fallout from the recent removal of
> "selftests/nolibc: drop test chmod_net" from the nolibc tree.
> 
> Christian:
> 
> You mentioned before that you plan to have this series in
> -next for some time. If you only submit it to Linux for 6.7 or later
> then you have to, if I understand the process correctly, rebase your
> -next branch on Linus' master after 6.6-rc1.
> 6.6-rc1 should contain the conflicting nolibc changes, so you would need
> to resolve the conflict during rebasing.
> The patch is intentionally made to be easy to resolve conflicts for,
> just delete the line containing "CASE_TEST(chmod_net)".
> 
> Everyone:
> 
> What is your opinion on that?

I think that if Stephen is okay with temporarily carrying the small fix
he has (which is correct), it could be the simplest way to resolve it
until the branches are merged. Otherwise we can try to adjust again.

Cheers,
Willy